import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/get?${stringify(params)}`);
}


export async function insertForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForWxMenu(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}

export async function customizemenuQuery(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmenu/customizemenuQuery`, {
        method: 'POST',
        data: {
            ...params,
            method: 'query',
        },
    });
}
